@font-face {
    font-family: 'TTHoves300';
    src: url('../fonts/TTHoves-Light.ttf');
}
@font-face {
    font-family: 'TTHoves400';
    src: url('../fonts/TTHoves-Regular.ttf');
}
@font-face {
    font-family: 'TTHoves700';
    src: url('../fonts/TTHoves-Bold.ttf');
}
@font-face {
    font-family: 'SF Pro Display Heavy';
    src: url('../fonts/SFProDisplay-Heavy.ttf');
}


@font-face {
    font-family: 'icomoon';
    src:  url('fonts/icomoon.eot?5sj7re');
    src:  url('fonts/icomoon.eot?5sj7re#iefix') format('embedded-opentype'),
      url('fonts/icomoon.ttf?5sj7re') format('truetype'),
      url('fonts/icomoon.woff?5sj7re') format('woff'),
      url('fonts/icomoon.svg?5sj7re#icomoon') format('svg');
    font-weight: normal;
    font-style: normal;
    font-display: block;
  }

@import '_variables.scss';


.container {
    width: 1170px;
    margin: 0 auto;
}

/*====== HEADER ====== */

.header {
    @include display-flex;
    align-items: center;
    height: 102px;
    width: 1170px;
    // background-color: rgb(155, 155, 155);
    margin: 0 auto;
}

.nav__container {
    width: 770px;
}

.nav {
    display: flex;
    justify-content: start;
    // background-color: rgb(175, 175, 175);

    &__item {
        margin-right: 60px;
        &:last-child {
            margin-right: 0;
        }
    }
    &__link {
        display: flex;
        color: $dark;
        text-decoration: none;
        font-family: 'TTHoves400';
        font-size: 12px;
        letter-spacing: 2px;
    }    
}

.logo {
    height: 3px;
    text-decoration: none;
    margin-top: -45px;
    // &__top {
    //     height: 26px;
    //     display: block;
    //     margin: 0 auto 5px;
    // }
    &__bottom {
        display: block;
        // margin-top: 5px;
    }
    &:hover {
        color:rgb(255, 0, 0)
    }
}
.icon-logo {
    font-size: 26px;
    color: #000;
    text-align: center;
    // padding-bottom: 5px;
    
}
/*====== MAIN PAIGE ====== */

.mainpage {
    display: flex;
    justify-content: start;
    margin-bottom: 120px;
}

.mainpage-info {
    width: 400px;
    margin-top: 320px;
    &__title {
        font-family: 'TTHoves300';
        color: $light;
        font-size: 64px;
        margin-bottom: 90px;
    }
    &__title-bold {
        font-family: 'TTHoves700';
        color: $dark;
    }
}

.mainpage-pict {
    background-image: url('../images/pict01.png');
    background-repeat: no-repeat;
    background-size: cover;
    width: 770px;
    height: 829px;
    position: relative;
}

.button {
    &__link {
        font-family: 'TTHoves400';
        font-size: 12px;
        color: $dark;
        letter-spacing: 2px;
        text-decoration: none;
        padding: 30px 58px;
        background-color: #fff;
        position: absolute;
        bottom: 0;
        left: 0;
        &:hover {
            background-color: #F2F2F2;
            transition: .4s;
        }
    }
    &__icon-arrow {
        font-size: 10px;
        margin-left: 10px;
        color: $dark;
    }
}



/*====== MAIN PAIGE SLIDER NAV ====== */

.slider-buttons {
    @include display-flex;
    align-items: center;
    margin-bottom: 90px;
    &__container {
        // background-color: rgb(214, 214, 214);
        width: 150px;
        display: flex;
    }
    &__line {
        width: 100%;
        height: 1px;
        background-color: #F2F2F2;
    }
    &__left {
        transform: scale(-1, 1);
        margin-right: 20px;
    }
    
    &__icon-arrow {
        display: inline-block;
        text-decoration: none;
        font-size: 10px;
        border: 1px solid #F2F2F2;
        padding: 22px 16px;
        &:hover {
            background-color: #F9F9F9;
        }
    
    }

}

.slider-counter {
    @include display-flex;
    align-items: center;
    width: 130px;
    &__number {
        font-family: "TTHoves400";
        font-size: 24px;
        color: $light;
    }
    &__slash {
        font-size: 30px;
        transform: rotate(-45deg);
        width: 30px;
        height: 2px;
        background-color: $light;
    }
}



/*====== ABOUT ====== */

.about {
    box-sizing: border-box;
    width: 100%;
    height: 435px;
    background-color: #FBFBFB;
    margin-bottom: 150px;
    padding: 0  30px 0 100px;
    display: flex;
    &__content {
        margin-right: 30px;
        margin-top: 30px;
        position: relative;
    }
    &__img {
        margin-bottom: 30px;
    }

    &__img-lower {
        margin-top: 30px;
    }
    &__title {
        @include title;
        margin-bottom: 20px;
    }
    &__info {
        font-family: 'TTHoves300';
        font-size: 16px;
        line-height: 25px;
        color: $dark;
        margin-bottom: 20px;
    }
    &__link-mt {
        bottom: 30px;
    }
    &__icon-arrow {
        font-size: 10px;
    }
}



/*====== MAIN TASKS ====== */

.tasks__title {
    @include title
}

.tasks-block {
    display: flex;
    justify-content: space-between;
    margin-bottom: 120px;
    &__item {
        width: 50%;
        display: flex;
        align-items: center;
    }
    &__number {
        font-family: 'SF Pro Display Heavy';
        font-size: 200px;
        color: $super-light;
        margin-right: 30px;
    }
    &__info {
        font-family: 'TTHoves400';
        font-size: 22px;
        line-height: 36px;
        width: 279px;
    }
    &__info-wide {
        width: 100%;
    }

}

/*====== OUR PROJECTS ====== */
.projects__title {
    @include title
}

.project {
    position: relative;
    width: 570px;
    height: 255px;
    &__title {
        font-family: 'TTHoves700';
        font-size: 64px;
        color: $white;
        display: inline-block;
        text-decoration: none;
        margin-left: 80px;
        margin-bottom: 15px;
    }
    &__link {
        display: inline-block;
        text-decoration: none;
        margin-left: 80px;
        
    }
    
    &__content {
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        background-color: rgba(0, 0, 0, .7);
        display: flex;
        align-items: center;
    }
   

}

